import React from 'react';
import ReactDOM from 'react-dom';
import { useWorldAtlas } from './useWorldAtlas';
import { data } from './useCities';
import { Marks } from './Marks';

const width = 960;
const height = 500;
const circleRadius = 5;

const App = () => {
  const worldAtlas = useWorldAtlas();

  if (!worldAtlas) {
    return <pre>Loading...</pre>;
  }

  return (
    <>
      <svg width={width} height={height}>
        <Marks
          worldAtlas={worldAtlas}
          cities={data}
          circleRadius ={circleRadius}
        />
      </svg>
      <div className="title">Datavis 2020 Students</div>
    </>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
